Bug 1563584 - [Doc][Object gateway guide] Need to remove '--read-only=False' in zone modify command while setting the secondary zone as master.
Summary: [Doc][Object gateway guide] Need to remove '--read-only=False' in zone modify...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 3.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: z2
: 3.0
Assignee: John Wilkins
QA Contact: Vidushi Mishra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 08:49 UTC by Vidushi Mishra
Modified: 2019-08-26 06:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-26 06:55:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vidushi Mishra 2018-04-04 08:49:02 UTC
Description of problem:

In section "5.7. Failover and Disaster Recovery" of the Object gateway guide, the step to set a secondary zone as a master using '--read-only=False' needs to be deleted. For exmaple, the below step in the doc needs to be removed:

"# radosgw-admin zone modify --rgw-zone={zone-name} --master --default \
                            --read-only=False"

The above command parses 'read-only=False' as 'read-only' and sets the zone in  read-only mode, not allowing to receive any write operation.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 Vidushi Mishra 2018-04-05 09:02:47 UTC
Doc looks good. Moving BZ to verified.

Comment 7 Giridhar Ramaraju 2019-08-20 07:17:16 UTC
Level setting the severity of this defect to "High" with a bulk update. Pls
refine it to a more closure value, as defined by the severity definition in
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity


Note You need to log in before you can comment on or make changes to this bug.